#include "singleton.h"


std::vector<SingletonBase*> SingletonBase::m_Singletons;


class SingletonManager
{
public:
	~SingletonManager();

};


SingletonManager g_SingletonManager;		//gyakorlatilag egy static destructor szerepet jatsza


SingletonManager::~SingletonManager()
{
	int size=SingletonBase::m_Singletons.size();
	for(int i=0; i<size; i++)
	{
		delete SingletonBase::m_Singletons.back();
		SingletonBase::m_Singletons.pop_back();
	}
	
}
